Subject: Re: [spfbis] Document shepherd review of draft-ietf-spfbis-4408bis-14

From: Stuart Gathman <[email-masked]>
Date: Wed, 08 May 2013 00:59:31 -0400

On 04/29/2013 08:42 PM, Scott Kitterman wrote:
> On Tuesday, April 30, 2013 12:11:01 AM John Levine wrote:
>>>>     'Alternatively, for a server failure (RCODE 2) result, check_host()
>>>>
>>>>>     MAY track failures and treat multiple failures within 24 hours for
>>>>>     the same domain as "permerror".'
>>>>>
>>>>> This text is not in RFC 4408.  I found a note in Issue #1 [5] and in a
>>>>> message [6].
>>>>>
>>>>> Are there any implementations that do this?  If so, that's the
>>>>> justification; it's practical experience.  If not, we should consider
>>>>> dropping it.
>>>> I'll wait for feedback on this.
>> Not that I'm aware of.  That looks to me like an optimization to do in
>> the DNS cache, not in the client.
> This was issue #1 in the tracker:
>
> http://trac.tools.ietf.org/wg/spfbis/trac/ticket/1
>
> It was discussed as a resolution to an operational issue discovered during SPF
> deployment.
>
This also solves the TIMEOUT for type 99 problem.  Reporting a PermError 
for a broken name server would be very appropriate (and switching to 
checking TXT first while said failure is cached would also be permissible).